Subject: Re: [storm] SAM-4 mapping for iSCSI Network Entity

From: "Mallikarjun Chadalapaka" <[email-masked]>
Date: Mon, 11 May 2009 21:05:09 -0700

WARNING: contains banned part

Subject: Re: [storm] SAM-4 mapping for iSCSI Network Entity
From: "Mallikarjun Chadalapaka" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Date: Mon, 11 May 2009 21:05:09 -0700

Julian, I should apologize for the delay on my end due to travel and others.

I took a stab at creating a UML diagram on what RFC 3720 specifies and also
proposed how that can be mapped to SAM-4 concepts in a one page doc at:

http://chadalapaka.com/Documents/iSCSI%20and%20SAM-4%20Class%20Modeling.pdf 

Feedback from the list is welcome.

Thanks.
--
Mallikarjun Chadalapaka 

----- Original Message ----
> From: Julian Satran <[email-masked]>
> To: Mallikarjun C. <[email-masked]>
> Cc: [email-masked]; George Penokie <[email-masked]>
> Sent: Monday, May 4, 2009 10:42:13 PM
> Subject: Re: [storm] SAM-4 mapping for iSCSI Network Entity
> 
> Mallikarjun,
> 
> Sorry for the delay. It surely looks a bit confusing. I think that the
source of 
> confusion is that in UML a device-class is (in plain langauge) a "device
type") 
> as it may include the attributes and methods. The whole Domain class
structure 
> in Fig 12 IMHO means to show that there can be several classes (device
types) in 
> a domain and associations are possible between "similar" device classes. I
think 
> the figures is pure outline and a Device-Class type is a notation that T10
may 
> want to add (this corresponds to the current structuring of SCSI software
in 
> most systems). The Network Entity that 3720 talks about may serve a
multiplicity 
> of classes and instances - and I think it is best mapped by the Service
Deliver 
> Class instance(fig 13). Again the same observation as before holds - a
system 
> may contain several Service Delivery classes and the figure is not clear
about 
> it.
> 
> I think George may help us out.
> 
> Thanks,
> Julo
> On 04/05/2009, at 01:51, Mallikarjun C. wrote:
> 
> > 
> > All,
> > 
> > In looking through Figure 12 UML class model in my copy of SAM-4 r14, I
am 
> thinking that iSCSI Network Entity (sort of) maps to "SCSI Device" class.
But 
> per RFC 3720, one iSCSI Network Entity can host multiple SCSI Target
Devices (or 
> even SCSI Iinitiator Devices).  The multiplicity of association between
SCSI 
> Device class and the SCSI Target Device class (or the SCSI Initiator
Device 
> class) however seems to preclude this implementation possibility.  I
suspect we 
> are really looking at a required change to SAM-4 Figure 12 to support the
RFC 
> 3720 notion of a Network Entity.
> > 
> > Comments? --
> > Mallikarjun Chadalapaka
> > 
> > 
> > 
> > _______________________________________________
> > storm mailing list
> > [email-masked]
> > https://www.ietf.org/mailman/listinfo/storm